<?

header('Cache-Control: no-store, no-cache, must-revalidate');	// HTTP/1.1
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

$ref=rand(10000,1000000);
require("inc.php"); 
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

$us=$row["user"];
$date=$row["date"];
$alltraf=$row["alltraf"];
$lasttraf=$row["lasttraf"];
$costtraf=$row["costtraf"];

if($rm==10) $takep="&amp;ref=$ref&amp;pwd=$pwd";
else $takep="&amp;ref=$ref";

ob_start();
if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>";
echo "<card id=\"traff\" title=\"Траффик\">";
echo "<p align=\"center\">";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>";
echo "<title>Траффик</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div align=\"center\">";
echo "<form method=\"POST\" action=\"trafik.php?$ses&amp;mod=savetraf&amp;rm=$rm$takep\" name=\"auth\">\n";
}

switch($mod) {

default:
echo $fsize1;
echo "Траффик<br/>";
echo $divide;
echo "Подсчёт ведётся с ".$date."<br/>";
echo $divide;
echo "Поледняя сессия: $lasttraf Кб<br/>";
echo "Общий траффик: $alltraf Кб<br/>";
if ($costtraf>0) {
echo "Ваш тариф: $costtraf (рублей) за Мб<br/>";
} else {
echo "Тариф не установлен<br/>";
}
$rashod=round(($alltraf*$costtraf)/100000,2);
echo "<b>Потрачено: </b>".$rashod." рублей<br/>";
echo $divide;
echo "Цена за мегабайт (рублей):<br/>";
echo $fsize2;
echo "<input name=\"cost\" title=\"cost\" format=\"*N\" maxlength=\"10\" value=\"$costtraf\"/><br/>";
if ($ver=="wml"){
echo $fsize1;
echo "<anchor title=\"go\">Coxpaнить<go href=\"trafik.php?$ses&amp;mod=savetraf&amp;rm=$rm$takep\" method=\"post\">";
echo "<postfield name=\"cost\" value=\"$(cost)\"/>";
echo "</go></anchor>";
echo $fsize2;
echo "<br/>";
}else{
echo "<input type=\"submit\" value=\"Coxpaнить\" name=\"enter\"><br/>\n";
}
break;


case 'savetraf':
if ((isset($cost))&&($cost!="")&&($cost>=0)){
if (!ctype_digit($cost)) { header("Location: index.php"); die; }
mysql_query ("Update users set costtraf='".$cost."' where id='".$id."'");
$msg="Установлен новый тариф!<b> $cost </b> рублей за мегабайт.<br/>";
} else {
$msg="Произошла ошибка при сохранении нового тарифа!<br/>";
}
echo $fsize1;
echo "$msg";
echo $fsize2;
break;
}
echo $fsize1;
echo $divide;
if($mod) echo "<a href=\"trafik.php?$ses&amp;rm=$rm$takep\">&#8592; Траффик</a><br/>";
if ((isset($rm))&&($rm!=""))echo "<a href=\"chat.php?$ses&amp;rm=$rm$takep\">&#8592; В чат</a><br/>";
else echo "<a href=\"cabinet.php?$ses&amp;ref=$ref\">&#8592; Личный кабинет</a><br/>";
echo "<a href=\"enter.php?$ses&amp;ref=$ref\">&#8592; Прихожая</a><br/>";
echo $fsize2;
if ($ver=="wml")echo "</p></card></wml>\n";
else echo "</div></body></html>\n";
$pagesize=round((ob_get_length())/1024,1);
$alltraf1=$alltraf+$pagesize;
mysql_query ("Update users set alltraf='".$alltraf1."', lasttraf='".$pagesize."' where id='".$id."'");
mysql_close ($link);
ob_end_flush();
?>
